Subject: Re: How to compile without iconv?

From: Torsten Bögershausen <[email-masked]>
Date: Tue, 09 Jun 2015 20:46:18 +0200

On 2015-06-09 16.07, Sascha Ziemann wrote:
> I tried to compile git 2.4.3 on Solaris 10. I used the following configuration:
> 
> $ ./configure --without-iconv
> 
> $ grep -i iconv config.status
> ac_cs_config="'--without-iconv'"
>   set X /bin/bash './configure'  '--without-iconv'
> $ac_configure_extra_args --no-create --no-recursion
> OLD_ICONV=UnfortunatelyYes
> 
> But when I try to compile it, I get an error that libiconv is missing:
> 
>     LINK git-credential-store
> Undefined                       first referenced
>  symbol                             in file
> libintl_gettext                     libgit.a(lockfile.o)
> libiconv_close                      libgit.a(utf8.o)
> libiconv_open                       libgit.a(utf8.o)
> libintl_ngettext                    libgit.a(date.o)
> libiconv                            libgit.a(utf8.o)
> ld: fatal: symbol referencing errors. No output written to git-credential-store
> collect2: ld returned 1 exit status
> gmake: *** [git-credential-store] Error 1
> 
> How can I work around this?

It seems that you need to switch of gettext as well.
(Somewhat untested, I don't have Solaris)
What happens if you run the default Makefile (without configure)

NO_ICONV=t NO_GETTEXT=t make